- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.sites/batchCreate#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.sites/batchCreate#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.sites/batchCreate#body.request_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.sites/batchCreate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.sites/batchCreate#body.response_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.sites/batchCreate#body.BatchCreateSitesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.sites/batchCreate#body.aspect)
- [CreateSiteRequest](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.sites/batchCreate#CreateSiteRequest)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.sites/batchCreate#CreateSiteRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.sites/batchCreate#try-it)

Creates `Site` objects.

### HTTP request

`POST https://admanager.googleapis.com/v1/{parent}/sites:batchCreate`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where `Sites` will be created. Format: `networks/{networkCode}` The parent field in the CreateSiteRequest must match this field. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.sites/batchCreate#CreateSiteRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.sites/batchCreate#CreateSiteRequest`)`` Required. The `Site` objects to create. A maximum of 100 objects can be created in a batch. |

### Response body

Response object for `sites.batchCreate` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "sites": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.sites#Site`) } ] } ``` |

| Fields ||
|---|---|
| `sites[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.sites#Site`)`` The `Site` objects created. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## CreateSiteRequest

Request object for `sites.create` method.

| JSON representation |
|---|
| ``` { "parent": string, "site": { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.sites#Site`) } } ``` |

| Fields ||
|---|---|
| `parent` | `string` Required. The parent resource where this `Site` will be created. Format: `networks/{networkCode}` |
| `site` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.sites#Site`)`` Required. The `Site` to create. |